Package org.freeplane.api

# Interface Tags

All Superinterfaces:
  `TagsRO`

All Known Subinterfaces:
  `Proxy.Tags`

public interface Tags extends TagsRO

Since:
  1.12.1

## Method Summary

Modifier and Type
Method
Description
`void`
`add(int index, String keyword)`
`void`
`add(String keyword)`
`void`
`add(Collection<String> keywords)`
`String`
`remove(int index)`
`boolean`
`remove(String keyword)`
`boolean`
`remove(Collection<String> keywords)`
`void`
`setTags(Collection<String> keywords)`

### Methods inherited from interface org.freeplane.api.TagsRO

`contains, containsAll, containsAllCategories, containsAny, containsAnyCategory, containsCategory, getCategories, getCategorizedTags, getIcons, getTags`

## Method Details

### setTags

void setTags(Collection<String> keywords)

### add

void add(String keyword)

### add

void add(int index, String keyword)

### add

void add(Collection<String> keywords)

### remove

boolean remove(String keyword)

### remove

String remove(int index)

### remove

boolean remove(Collection<String> keywords)